#include<iostream>
#include<cstring>
using namespace std;
int arr[100];
int main()
{
    int n,cnt = 0,p = -63;
    cin >> n;
    char str[80];
    for(int i = 0; i < n; i++)
    {
        cin >> str;
        int u = strlen(str);
        for(int j = 0; j < u; j++)
        {
            p += 63;
            for(int h = 0; h < 26; h++){
                char ch = 'A';
                int b;
                b = ch;
                b++;
                if(str[j] == ch) arr[p+h]++;
                ch = b;
            }
            for(int h = 26; h < 52; h++){
                char ch = 'a';
                int b;
                b = ch;
                b++;
                if(str[j] == ch) arr[p+h]++;
                ch = b;
            }
            for(int h = 52; h < 62; h++){
                char ch = '0';
                int b;
                b = ch;
                b++;
                if(str[j] == ch) arr[p+h]++;
                ch = b;
            }
        }
    }
    p = 0;
    for(int l = 0; l < n; l++)
    {
        cnt = 0;
        for(int k = p; k < p+62; k++)
        {
            if(arr[k] % 2 != 0) cnt++;
        }
        p += 63;
        if(cnt > 1) cout << "0";
        else cout << "1";
    }
    return 0;
}

